declare const allArgOptions: {
    readonly access: {
        readonly description: `(${string}): Which ${string} to \n  release npm packages with (by default, "public")`;
        readonly docsSection: "optional";
        readonly type: "string";
    };
    readonly author: {
        readonly description: `Username on npm to publish packages under (by \n  default, an existing npm author, or the currently logged in npm user, or \n  ${string})`;
        readonly docsSection: "optional";
        readonly type: "string";
    };
    readonly auto: {
        readonly description: "Whether to infer all options from files on disk.";
        readonly docsSection: "optional";
        readonly type: "boolean";
    };
    readonly base: {
        readonly description: `Whether to scaffold the repository with:\n  \u2022 everything: that comes with the template (${string})\n  \u2022 minimum: amounts of tooling, essentially opting out of everything\n  \u2022 prompt: for which portions to exclude`;
        readonly docsSection: "core";
        readonly type: "string";
    };
    readonly bin: {
        readonly description: "package.json bin value to include for npx-style running.";
        readonly docsSection: "optional";
        readonly type: "string";
    };
    readonly "create-repository": {
        readonly description: "Whether to create a corresponding repository on github.com \n  (if it doesn't yet exist)";
        readonly docsSection: "core";
        readonly type: "boolean";
    };
    readonly description: {
        readonly description: "Sentence case description of the repository \n  (e.g. A quickstart-friendly TypeScript package with lots of great \n  repository tooling. ✨)";
        readonly docsSection: "core";
        readonly type: "string";
    };
    readonly directory: {
        readonly description: "Directory to create the repository in (by default, the same \n  name as the repository)";
        readonly docsSection: "optional";
        readonly type: "string";
    };
    readonly email: {
        readonly description: "Email address to be listed as the point of contact in docs \n  and packages (e.g. example@joshuakgoldberg.com)";
        readonly docsSection: "optional";
        readonly type: "string";
    };
    readonly "email-github": {
        readonly description: `Optionally, may be provided to use different emails in ${string} \n  files`;
        readonly docsSection: "optional";
        readonly type: "string";
    };
    readonly "email-npm": {
        readonly description: `Optionally, may be provided to use different emails in \n  ${string}`;
        readonly docsSection: "optional";
        readonly type: "string";
    };
    readonly "exclude-all-contributors": {
        readonly description: "Don't add all-contributors to track contributions \n  and display them in a README.md table.";
        readonly docsSection: "opt-out";
        readonly type: "boolean";
    };
    readonly "exclude-compliance": {
        readonly description: "Don't add a GitHub Actions workflow to verify that PRs match \n  an expected format.";
        readonly docsSection: "opt-out";
        readonly type: "boolean";
    };
    readonly "exclude-lint-deprecation": {
        readonly description: `Don't use eslint-plugin-deprecation to report on usage \n  of code marked as ${string}.`;
        readonly docsSection: "opt-out";
        readonly type: "boolean";
    };
    readonly "exclude-lint-jsdoc": {
        readonly description: "Don't use eslint-plugin-jsdoc to enforce good practices around \n  JSDoc comments.";
        readonly docsSection: "opt-out";
        readonly type: "boolean";
    };
    readonly "exclude-lint-json": {
        readonly description: `Don't apply linting and sorting to ${string}, and \n  ${string} files.`;
        readonly docsSection: "opt-out";
        readonly type: "boolean";
    };
    readonly "exclude-lint-knip": {
        readonly description: "Don't add Knip to detect unused files, dependencies, and code \n  exports.";
        readonly docsSection: "opt-out";
        readonly type: "boolean";
    };
    readonly "exclude-lint-md": {
        readonly description: `Don't apply linting to ${string} files.`;
        readonly docsSection: "opt-out";
        readonly type: "boolean";
    };
    readonly "exclude-lint-package-json": {
        readonly description: "Don't add npm-package-json-lint to lint for \n  package.json correctness.";
        readonly docsSection: "opt-out";
        readonly type: "boolean";
    };
    readonly "exclude-lint-packages": {
        readonly description: "Don't add a pnpm dedupe workflow to ensure packages \n  aren't duplicated unnecessarily.";
        readonly docsSection: "opt-out";
        readonly type: "boolean";
    };
    readonly "exclude-lint-perfectionist": {
        readonly description: "Don't apply eslint-plugin-perfectionist to ensure \n  imports, keys, and so on are in sorted order.";
        readonly docsSection: "opt-out";
        readonly type: "boolean";
    };
    readonly "exclude-lint-regex": {
        readonly description: "Don't add eslint-plugin-regex to enforce good practices around \n  regular expressions.";
        readonly docsSection: "opt-out";
        readonly type: "boolean";
    };
    readonly "exclude-lint-spelling": {
        readonly description: "Don't add cspell to spell check against dictionaries \n  of known words.";
        readonly docsSection: "opt-out";
        readonly type: "boolean";
    };
    readonly "exclude-lint-strict": {
        readonly description: "Don't augment the recommended logical lint rules with \n  typescript-eslint's strict config.";
        readonly docsSection: "opt-out";
        readonly type: "boolean";
    };
    readonly "exclude-lint-stylistic": {
        readonly description: "Don't add stylistic rules such as typescript-eslint's \n  stylistic config.";
        readonly docsSection: "opt-out";
        readonly type: "boolean";
    };
    readonly "exclude-lint-yml": {
        readonly description: `Don't apply linting and sorting to ${string} and ${string} files.`;
        readonly docsSection: "opt-out";
        readonly type: "boolean";
    };
    readonly "exclude-releases": {
        readonly description: "Don't add release-it to generate changelogs, package bumps, \n  and publishes based on conventional commits.";
        readonly docsSection: "opt-out";
        readonly type: "boolean";
    };
    readonly "exclude-renovate": {
        readonly description: "Don't add a Renovate config to dependencies up-to-date with \n  PRs.";
        readonly docsSection: "opt-out";
        readonly type: "boolean";
    };
    readonly "exclude-tests": {
        readonly description: "Don't add Vitest tooling for fast unit tests, configured \n  with coverage tracking.";
        readonly docsSection: "opt-out";
        readonly type: "boolean";
    };
    readonly funding: {
        readonly description: `GitHub organization or username to mention in ${string} \n  (by default, owner)`;
        readonly docsSection: "optional";
        readonly type: "string";
    };
    readonly guide: {
        readonly description: "Link to a contribution guide to place at the top of the \n  development docs";
        readonly docsSection: "optional";
        readonly type: "string";
    };
    readonly "guide-title": {
        readonly description: `If ${string} is provided or detected from an existing \n  DEVELOPMENT.md, the text title to place in the guide link`;
        readonly docsSection: "optional";
        readonly type: "string";
    };
    readonly keywords: {
        readonly description: `Any number of keywords to include in ${string} (by default, \n  none). This can be specified any number of times, like  \n  ${string}`;
        readonly docsSection: "optional";
        readonly multiple: true;
        readonly type: "string";
    };
    readonly logo: {
        readonly description: "Local image file in the repository to display near the top of \n  the README.md as a logo";
        readonly docsSection: "optional";
        readonly type: "string";
    };
    readonly "logo-alt": {
        readonly description: `If ${string} is provided or detected from an existing README.md, \n  alt text that describes the image will be prompted for if not provided`;
        readonly docsSection: "optional";
        readonly type: "string";
    };
    readonly mode: {
        readonly description: "Whether to:\n  • create: a new repository in a child directory\n  • initialize: a freshly repository in the current directory\n  • migrate: an existing repository in the current directory";
        readonly docsSection: "core";
        readonly type: "string";
    };
    readonly offline: {
        readonly description: `You can run ${string} in an "offline" mode. \n  Doing so will:\n  \u2022 Enable ${string} and ${string}\n  \u2022 Skip network calls when setting up contributors\n  \u2022 Run pnpm commands with pnpm's ${string} mode`;
        readonly docsSection: "offline";
        readonly type: "boolean";
    };
    readonly owner: {
        readonly description: "GitHub organization or user the repository is underneath \n  (e.g. JoshuaKGoldberg)";
        readonly docsSection: "core";
        readonly type: "string";
    };
    readonly "preserve-generated-form": {
        readonly description: "Whether to keep the GitHub repository generated from \n  notice (by default, false)";
        readonly docsSection: "optional";
        readonly type: "boolean";
    };
    readonly repository: {
        readonly description: "The kebab-case name of the repository \n  (e.g. create-typescript-app)";
        readonly docsSection: "core";
        readonly type: "string";
    };
    readonly "skip-all-contributors-api": {
        readonly description: `Skips network calls that fetch all-contributors data from\n  GitHub. This flag does nothing if ${string} was specified.`;
        readonly docsSection: "skip-net";
        readonly type: "boolean";
    };
    readonly "skip-github-api": {
        readonly description: "Skips calling to GitHub APIs.";
        readonly docsSection: "skip-net";
        readonly type: "boolean";
    };
    readonly "skip-install": {
        readonly description: "Skips installing all the new template packages with pnpm.";
        readonly docsSection: "skip-net";
        readonly type: "boolean";
    };
    readonly "skip-removal": {
        readonly description: `Skips removing setup docs and scripts, including this ${string} \n  directory`;
        readonly docsSection: "skip-disk";
        readonly type: "boolean";
    };
    readonly "skip-restore": {
        readonly description: "Skips the prompt offering to restore the repository if an \n  error occurs during setup";
        readonly docsSection: "skip-disk";
        readonly type: "boolean";
    };
    readonly "skip-uninstall": {
        readonly description: "Skips uninstalling packages only used for setup scripts";
        readonly docsSection: "skip-disk";
        readonly type: "boolean";
    };
    readonly title: {
        readonly description: "Title Case title for the repository to be used in \n  documentation (e.g. Create TypeScript App)";
        readonly docsSection: "core";
        readonly type: "string";
    };
};

export { allArgOptions };
