import { z } from 'zod';

declare const optionsSchemaShape: {
    access: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"public">, z.ZodLiteral<"restricted">]>>;
    author: z.ZodOptional<z.ZodString>;
    auto: z.ZodOptional<z.ZodBoolean>;
    base: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"common">, z.ZodLiteral<"everything">, z.ZodLiteral<"minimum">, z.ZodLiteral<"prompt">]>>;
    bin: z.ZodOptional<z.ZodString>;
    description: z.ZodOptional<z.ZodString>;
    directory: z.ZodOptional<z.ZodString>;
    email: z.ZodOptional<z.ZodObject<{
        github: z.ZodString;
        npm: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        github: string;
        npm: string;
    }, {
        github: string;
        npm: string;
    }>>;
    excludeAllContributors: z.ZodOptional<z.ZodBoolean>;
    excludeCompliance: z.ZodOptional<z.ZodBoolean>;
    excludeLintDeprecation: z.ZodOptional<z.ZodBoolean>;
    excludeLintESLint: z.ZodOptional<z.ZodBoolean>;
    excludeLintJSDoc: z.ZodOptional<z.ZodBoolean>;
    excludeLintJson: z.ZodOptional<z.ZodBoolean>;
    excludeLintKnip: z.ZodOptional<z.ZodBoolean>;
    excludeLintMd: z.ZodOptional<z.ZodBoolean>;
    excludeLintPackageJson: z.ZodOptional<z.ZodBoolean>;
    excludeLintPackages: z.ZodOptional<z.ZodBoolean>;
    excludeLintPerfectionist: z.ZodOptional<z.ZodBoolean>;
    excludeLintRegex: z.ZodOptional<z.ZodBoolean>;
    excludeLintSpelling: z.ZodOptional<z.ZodBoolean>;
    excludeLintStrict: z.ZodOptional<z.ZodBoolean>;
    excludeLintStylistic: z.ZodOptional<z.ZodBoolean>;
    excludeLintYml: z.ZodOptional<z.ZodBoolean>;
    excludeReleases: z.ZodOptional<z.ZodBoolean>;
    excludeRenovate: z.ZodOptional<z.ZodBoolean>;
    excludeTests: z.ZodOptional<z.ZodBoolean>;
    funding: z.ZodOptional<z.ZodString>;
    guide: z.ZodOptional<z.ZodString>;
    guideTitle: z.ZodOptional<z.ZodString>;
    keywords: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
    logo: z.ZodOptional<z.ZodString>;
    logoAlt: z.ZodOptional<z.ZodString>;
    mode: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"create">, z.ZodLiteral<"initialize">, z.ZodLiteral<"migrate">]>>;
    offline: z.ZodOptional<z.ZodBoolean>;
    owner: z.ZodOptional<z.ZodString>;
    preserveGeneratedFrom: z.ZodOptional<z.ZodBoolean>;
    repository: z.ZodOptional<z.ZodString>;
    skipAllContributorsApi: z.ZodOptional<z.ZodBoolean>;
    skipGitHubApi: z.ZodOptional<z.ZodBoolean>;
    skipInstall: z.ZodOptional<z.ZodBoolean>;
    skipRemoval: z.ZodOptional<z.ZodBoolean>;
    skipRestore: z.ZodOptional<z.ZodBoolean>;
    skipUninstall: z.ZodOptional<z.ZodBoolean>;
    title: z.ZodOptional<z.ZodString>;
};
declare const optionsSchema: z.ZodObject<{
    access: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"public">, z.ZodLiteral<"restricted">]>>;
    author: z.ZodOptional<z.ZodString>;
    auto: z.ZodOptional<z.ZodBoolean>;
    base: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"common">, z.ZodLiteral<"everything">, z.ZodLiteral<"minimum">, z.ZodLiteral<"prompt">]>>;
    bin: z.ZodOptional<z.ZodString>;
    description: z.ZodOptional<z.ZodString>;
    directory: z.ZodOptional<z.ZodString>;
    email: z.ZodOptional<z.ZodObject<{
        github: z.ZodString;
        npm: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        github: string;
        npm: string;
    }, {
        github: string;
        npm: string;
    }>>;
    excludeAllContributors: z.ZodOptional<z.ZodBoolean>;
    excludeCompliance: z.ZodOptional<z.ZodBoolean>;
    excludeLintDeprecation: z.ZodOptional<z.ZodBoolean>;
    excludeLintESLint: z.ZodOptional<z.ZodBoolean>;
    excludeLintJSDoc: z.ZodOptional<z.ZodBoolean>;
    excludeLintJson: z.ZodOptional<z.ZodBoolean>;
    excludeLintKnip: z.ZodOptional<z.ZodBoolean>;
    excludeLintMd: z.ZodOptional<z.ZodBoolean>;
    excludeLintPackageJson: z.ZodOptional<z.ZodBoolean>;
    excludeLintPackages: z.ZodOptional<z.ZodBoolean>;
    excludeLintPerfectionist: z.ZodOptional<z.ZodBoolean>;
    excludeLintRegex: z.ZodOptional<z.ZodBoolean>;
    excludeLintSpelling: z.ZodOptional<z.ZodBoolean>;
    excludeLintStrict: z.ZodOptional<z.ZodBoolean>;
    excludeLintStylistic: z.ZodOptional<z.ZodBoolean>;
    excludeLintYml: z.ZodOptional<z.ZodBoolean>;
    excludeReleases: z.ZodOptional<z.ZodBoolean>;
    excludeRenovate: z.ZodOptional<z.ZodBoolean>;
    excludeTests: z.ZodOptional<z.ZodBoolean>;
    funding: z.ZodOptional<z.ZodString>;
    guide: z.ZodOptional<z.ZodString>;
    guideTitle: z.ZodOptional<z.ZodString>;
    keywords: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
    logo: z.ZodOptional<z.ZodString>;
    logoAlt: z.ZodOptional<z.ZodString>;
    mode: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"create">, z.ZodLiteral<"initialize">, z.ZodLiteral<"migrate">]>>;
    offline: z.ZodOptional<z.ZodBoolean>;
    owner: z.ZodOptional<z.ZodString>;
    preserveGeneratedFrom: z.ZodOptional<z.ZodBoolean>;
    repository: z.ZodOptional<z.ZodString>;
    skipAllContributorsApi: z.ZodOptional<z.ZodBoolean>;
    skipGitHubApi: z.ZodOptional<z.ZodBoolean>;
    skipInstall: z.ZodOptional<z.ZodBoolean>;
    skipRemoval: z.ZodOptional<z.ZodBoolean>;
    skipRestore: z.ZodOptional<z.ZodBoolean>;
    skipUninstall: z.ZodOptional<z.ZodBoolean>;
    title: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    access?: "public" | "restricted" | undefined;
    author?: string | undefined;
    auto?: boolean | undefined;
    base?: "common" | "everything" | "minimum" | "prompt" | undefined;
    bin?: string | undefined;
    description?: string | undefined;
    directory?: string | undefined;
    email?: {
        github: string;
        npm: string;
    } | undefined;
    excludeAllContributors?: boolean | undefined;
    excludeCompliance?: boolean | undefined;
    excludeLintDeprecation?: boolean | undefined;
    excludeLintESLint?: boolean | undefined;
    excludeLintJSDoc?: boolean | undefined;
    excludeLintJson?: boolean | undefined;
    excludeLintKnip?: boolean | undefined;
    excludeLintMd?: boolean | undefined;
    excludeLintPackageJson?: boolean | undefined;
    excludeLintPackages?: boolean | undefined;
    excludeLintPerfectionist?: boolean | undefined;
    excludeLintRegex?: boolean | undefined;
    excludeLintSpelling?: boolean | undefined;
    excludeLintStrict?: boolean | undefined;
    excludeLintStylistic?: boolean | undefined;
    excludeLintYml?: boolean | undefined;
    excludeReleases?: boolean | undefined;
    excludeRenovate?: boolean | undefined;
    excludeTests?: boolean | undefined;
    funding?: string | undefined;
    guide?: string | undefined;
    guideTitle?: string | undefined;
    keywords?: string[] | undefined;
    logo?: string | undefined;
    logoAlt?: string | undefined;
    mode?: "create" | "initialize" | "migrate" | undefined;
    offline?: boolean | undefined;
    owner?: string | undefined;
    preserveGeneratedFrom?: boolean | undefined;
    repository?: string | undefined;
    skipAllContributorsApi?: boolean | undefined;
    skipGitHubApi?: boolean | undefined;
    skipInstall?: boolean | undefined;
    skipRemoval?: boolean | undefined;
    skipRestore?: boolean | undefined;
    skipUninstall?: boolean | undefined;
    title?: string | undefined;
}, {
    access?: "public" | "restricted" | undefined;
    author?: string | undefined;
    auto?: boolean | undefined;
    base?: "common" | "everything" | "minimum" | "prompt" | undefined;
    bin?: string | undefined;
    description?: string | undefined;
    directory?: string | undefined;
    email?: {
        github: string;
        npm: string;
    } | undefined;
    excludeAllContributors?: boolean | undefined;
    excludeCompliance?: boolean | undefined;
    excludeLintDeprecation?: boolean | undefined;
    excludeLintESLint?: boolean | undefined;
    excludeLintJSDoc?: boolean | undefined;
    excludeLintJson?: boolean | undefined;
    excludeLintKnip?: boolean | undefined;
    excludeLintMd?: boolean | undefined;
    excludeLintPackageJson?: boolean | undefined;
    excludeLintPackages?: boolean | undefined;
    excludeLintPerfectionist?: boolean | undefined;
    excludeLintRegex?: boolean | undefined;
    excludeLintSpelling?: boolean | undefined;
    excludeLintStrict?: boolean | undefined;
    excludeLintStylistic?: boolean | undefined;
    excludeLintYml?: boolean | undefined;
    excludeReleases?: boolean | undefined;
    excludeRenovate?: boolean | undefined;
    excludeTests?: boolean | undefined;
    funding?: string | undefined;
    guide?: string | undefined;
    guideTitle?: string | undefined;
    keywords?: string[] | undefined;
    logo?: string | undefined;
    logoAlt?: string | undefined;
    mode?: "create" | "initialize" | "migrate" | undefined;
    offline?: boolean | undefined;
    owner?: string | undefined;
    preserveGeneratedFrom?: boolean | undefined;
    repository?: string | undefined;
    skipAllContributorsApi?: boolean | undefined;
    skipGitHubApi?: boolean | undefined;
    skipInstall?: boolean | undefined;
    skipRemoval?: boolean | undefined;
    skipRestore?: boolean | undefined;
    skipUninstall?: boolean | undefined;
    title?: string | undefined;
}>;

export { optionsSchema, optionsSchemaShape };
